	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "wind3")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", 100.00)
	call psetr("subpage_upper_right_longitude", 180.00)
	call psetr("subpage_upper_right_latitude", -5.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", -55.00)

	call psetc("map_coastline_sea_shade", "on")
	call psetc("map_coastline_sea_shade_colour", "grey")
	call psetc("map_label", "off")
	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid", "off")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call psetc("grib_id", "uv200")
	call psetc("grib_input_file_name", "./uv200.grb")
	call pgrib

	call psetr("wind_arrow_unit_velocity", 40.00)
	call psetr("wind_thinning_factor", 3.00)
	call psetc("wind_advanced_colour_direction", "anti_clockwise")
	call psetr("wind_advanced_colour_min_value", 20.00)
	call psetc("wind_advanced_method", "on")
	call psetr("wind_advanced_colour_max_value", 100.00)
	call psetc("wind_field_type", "arrows")
	call psetr("wind_advanced_colour_level_interval", 10.00)
	call psetc("wind_advanced_colour_min_level_colour", "yellow")
	call psetc("wind_advanced_colour_max_level_colour", "evergreen")
	call psetr("wind_arrow_min_speed", 20.00)
	call psetr("wind_advanced_colour_reference_level", 10.00)
	call psetc("legend", "on")
	call psetc("wind_advanced_colour_table_colour_method", "calculate")
	call psetc("wind_advanced_colour_selection_type", "interval")
	call pwind

	call psetc("map_label", "off")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call pcoast

	call pset1c("text_lines", (/"<font size="1">Wind arrow colour is a function of speed</font>"/), 1)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call psetr("legend_box_x_position", 27.50)
	call psetc("legend_display_type", "continuous")
	call psetc("legend_box_blanking", "on")
	call psetr("legend_box_y_position", 4.00)
	call psetr("legend_box_x_length", 2.00)
	call psetc("legend_border", "off")
	call psetc("legend_title", "on")
	call psetc("legend_text_font_size", "0.5")
	call psetc("legend_border_colour", "charcoal")
	call psetc("legend_box_mode", "positional")
	call psetc("legend_text_colour", "charcoal")
	call psetr("legend_box_y_length", 12.00)
	call psetc("legend", "on")
	call psetc("legend_title_text", "Wind speed at 200 hPa")

	call pclose

	end
